Click or drag to resize

DisplayPipelineDrawGradientMesh Method

[Missing <summary> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

Namespace:  Rhino.Display
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void DrawGradientMesh(
	Mesh mesh,
	IEnumerable<ColorStop> stops,
	Point3d point1,
	Point3d point2,
	bool linearGradient,
	float repeat
)

Parameters

mesh
Type: Rhino.GeometryMesh

[Missing <param name="mesh"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

stops
Type: System.Collections.GenericIEnumerableColorStop

[Missing <param name="stops"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

point1
Type: Rhino.GeometryPoint3d

[Missing <param name="point1"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

point2
Type: Rhino.GeometryPoint3d

[Missing <param name="point2"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

linearGradient
Type: SystemBoolean

[Missing <param name="linearGradient"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

repeat
Type: SystemSingle

[Missing <param name="repeat"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientMesh(Rhino.Geometry.Mesh,System.Collections.Generic.IEnumerable{Rhino.Display.ColorStop},Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single)"]

See Also